<div class="vh-100">
    <div class="d-flex border-bottom shadow-sm">
        <div class="position-relative flex-grow-1">
            <img src="assets/thumbnail_Left_Top.jpg" class="w-75 h-100 position-absolute start-0 top-0" alt="Right Image">
        </div>
        <div>
            <app-search-nav-bar></app-search-nav-bar>
        </div>
        <div class="position-relative flex-grow-1">
            <img src="assets/thumbnail_Right_Top.jpg" class="w-75 h-100 position-absolute end-0 top-0"  alt="Right Image">
        </div>
    </div>
    <div *ngIf="rowData" class="container mt-3 d-table">
        <div class="d-table-cell align-middle">
            <div>
                <h4 class="text-center">NBA Top Player Stats</h4>
                <div class="d-flex justify-content-around mb-3">
                    <form [formGroup]="seasonSelectForm" class="form-group w-50 d-flex justify-content-center">
                        <select class="form-select w-25" id="seasonSelectElement" formControlName="seasonSelect" (change)="UpdateSeasonSelection()">
                            <option value="">Seasons</option>
                            <option value="2020">2019-2020</option>
                            <option value="2021">2020-2021</option>
                            <option value="2022">2021-2022</option>
                            <option value="2023">2022-2023</option>
                        </select>
                    </form>
                </div>
                <app-stat-table 
                    [rowData]="rowData"
                    [columnDefs]="colDef"
                    [gridOptions]="gridOptions">
                </app-stat-table>
            </div>
        </div>
    </div>
    <div *ngIf="rowData" class="container mt-3 d-table">
        <h3>No Player Data Available</h3>
        <p>See console for errors</p>
    </div>
</div>
